<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc="热处理电子签名维护">
	<query id="HttSignature.doQuery" desc="查询">
	 <![CDATA[ 
SELECT PLINE_CODE,
       DECODE(COL_GROUP,'1','甲','2','乙','3','丙','4','丁','0','白') COL_GROUP,
       USER_NAME,
       SIGN_ROUTE,
       REMARK,
        PROCESS_NO,
       IMAGE,
       USERID_GRADE,
       USER_ID,
       RESPONSIBLE
  FROM HTT_SIGNATURE WHERE 1 = 1
	  ]]>
	</query>
		<query id="HttSignature.getSameData" desc="查询">
	 <![CDATA[ 
SELECT PLINE_CODE,
       DECODE(COL_GROUP,'1','甲','2','乙','3','丙','4','丁') COL_GROUP,
       USER_NAME,
       SIGN_ROUTE,
       REMARK,
       PROCESS_NO,
       IMAGE,
       USERID_GRADE,
       USER_ID,
       RESPONSIBLE
  FROM HTT_SIGNATURE WHERE 1 = 1 
	  ]]>
	</query>
	<query id="HttSignature.addReportNo" desc="新增">
	 <![CDATA[ 
INSERT INTO HTT_SIGNATURE
  (PLINE_CODE,
   COL_GROUP,
   USER_NAME,
   SIGN_ROUTE,
   REMARK,
   PROCESS_NO,
   IMAGE,
   USERID_GRADE,RESPONSIBLE)
VALUES
  ('#PLINE_CODE#',
   '#COL_GROUP#',
   '#USER_NAME#',
   '#SIGN_ROUTE#',
   '#REMARK#',
   '#PROCESS_NO#',
   '#IMAGE#',
   '#USERID_GRADE#','#RESPONSIBLE#')
	  ]]>
	</query>
	
	<query id="HttSignature.updateReportNo" desc="修改">
	 <![CDATA[ 
UPDATE HTT_SIGNATURE
   SET PLINE_CODE   = '#PLINE_CODE#',
       COL_GROUP    = '#COL_GROUP#',
       USER_NAME    = '#USER_NAME#',
       SIGN_ROUTE   = '#SIGN_ROUTE#',
       REMARK       = '#REMARK#',
       PROCESS_NO   = '#PROCESS_NO#',
       IMAGE        = '#IMAGE#',
       USERID_GRADE = '#USERID_GRADE#',
       USER_ID      = '#USER_ID#',
       RESPONSIBLE = '#RESPONSIBLE#'
 WHERE PLINE_CODE = '#PLINE_CODE#'
   AND COL_GROUP = '#COL_GROUP#'
  AND  USER_ID      = '#USER_ID#'
	  ]]>
	</query>
		<query id="HttSignature.updateScoure" desc="修改">
	 <![CDATA[ 
UPDATE HTT_SIGNATURE
   SET SIGN_ROUTE   = ?
 WHERE PLINE_CODE = ?
	  ]]>
	</query>
	
	<query id="HttSignature.deleteReportNo" desc="删除">
	 <![CDATA[ 
DELETE HTT_SIGNATURE
 WHERE PLINE_CODE = '#PLINE_CODE#'
   AND PROCESS_NO = '#PROCESS_NO#'
   AND COL_GROUP = '#COL_GROUP#'
   AND USER_ID      = '#USER_ID#'
	  ]]>
	</query>
	

</queryMap>